/*
 * mki7.h
 *
 *  Created on: 20-03-2020
 *      Author: Krzysztof Jakubczyk
 */

#ifndef MKI7_H_
#define MKI7_H_

#include "tdefs.h"
#include "helper.h"

struct mki7_logic
{
	struct binary_io Z141;
	struct binary_io Z142;
	struct binary_io Z143;
	struct binary_io Z144;
	struct binary_io err;
};

struct mki7_io
{
	u32 z141_out;
	u32 z142_out;
	u32 z143_out;
	u32 z144_out;
	u32 err_out;
}__attribute__((__packed__));

struct mki7_params
{
}__attribute__((__packed__));

struct mki7_args
{
	struct mki7_io io;
	struct mki7_params params;
//	u16 crc;
}__attribute__((__packed__));

extern volatile u8 mki7_sfplinks;

extern int mki7_initlog(void *arguments, void *logic);
extern void mki7_20hz(void *arguments, void *logic);

#endif /* MKI7 */
